Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.command
Class FindProcessInstanceCommand

    java.lang.Object
      org.jbpm.process.audit.command.AuditCommand<ProcessInstanceLog>
          org.jbpm.process.audit.command.FindProcessInstanceCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<ProcessInstanceLog>, Command<ProcessInstanceLog>

    public class FindProcessInstanceCommand

extends AuditCommand<ProcessInstanceLog>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.process.audit.command.AuditCommand
`auditLogService`

Constructor Summary
`FindProcessInstanceCommand()`
`FindProcessInstanceCommand(long processInstanceId)`

Method Summary
`ProcessInstanceLog` | `execute(org.kie.internal.command.Context cntxt)`
`Long` | `getProcessInstanceId()`
`void` | `setProcessInstanceId(Long processInstanceId)`
`String` | `toString()`

Methods inherited from class org.jbpm.process.audit.command.AuditCommand
`setAuditLogService, setLogEnvironment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FindProcessInstanceCommand

    public FindProcessInstanceCommand()

### FindProcessInstanceCommand

    public FindProcessInstanceCommand(long processInstanceId)

Method Detail

### execute

    public ProcessInstanceLog execute(org.kie.internal.command.Context cntxt)

### getProcessInstanceId

    public Long getProcessInstanceId()

### setProcessInstanceId

    public void setProcessInstanceId(Long processInstanceId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.